# -*- coding: utf-8 -*-
from setuptools import setup

setup(
    name='redis',
    version='6.2.0',
    description='Python client for Redis database and key-value store',
    author_email='"Redis Inc." <oss@redis.com>',
    classifiers=[
        'Development Status :: 5 - Production/Stable',
        'Environment :: Console',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3 :: Only',
        'Programming Language :: Python :: 3.9',
        'Programming Language :: Python :: 3.10',
        'Programming Language :: Python :: 3.11',
        'Programming Language :: Python :: 3.12',
        'Programming Language :: Python :: 3.13',
        'Programming Language :: Python :: Implementation :: CPython',
        'Programming Language :: Python :: Implementation :: PyPy',
    ],
    install_requires=[
        'async-timeout>=4.0.3; python_full_version < "3.11.3"',
    ],
    extras_require={
        'hiredis': [
            'hiredis>=3.2.0',
        ],
        'jwt': [
            'pyjwt>=2.9.0',
        ],
        'ocsp': [
            'cryptography>=36.0.1',
            'pyopenssl>=20.0.1',
            'requests>=2.31.0',
        ],
    },
    packages=[
        'redis',
        'redis._parsers',
        'redis.asyncio',
        'redis.auth',
        'redis.commands',
        'redis.commands.bf',
        'redis.commands.json',
        'redis.commands.search',
        'redis.commands.timeseries',
        'redis.commands.vectorset',
    ],
)
